---
title: Simulate inbound ACH origination
slug: apis/payments/ach/simulations/simulate-inbound-ach-origination
description: Simulate receiving an ACH inbound origination from another financial institution
icon: {"apiMethod":"POST"}
docTags: 
createdAt: 2026-07-09T10:44:58.000Z
---

## API reference

Simulate receiving an ACH credit transfer payment from another financial institution.

The response body duplicates the request body.

:::hint{type="info"}
This API can only be run in the Cross River [Sandbox](docId:_KAqyVqVNUAGQnekFKCUy).&#x20;
:::

:::ApiMethodV2
```json
{
  "name": "Endpoint: /v1/payments/simulated-inbound-originations",
  "method": "POST",
  "url": "https://sandbox.crbcos.com/ach/v1/payments/simulated-inbound-originations",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "curl-example",
        "language": "curl",
        "code": "curl --location 'https://sandbox.crbcos.com/ach/v1/payments/simulated-inbound-originations' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization: Bearer <token>' \\\n--header 'Cookie: <cookie>' \\\n--data '{\n\"originatorRoutingNumber\": \"021000021\",\n\"originatorName\": \"Tom Smith\",\n\"originatorIdentification\": \"99999999\",\n\"receiverRoutingNumber\": \"021214891\",\n\"receiverAccountNumber\": \"2819503463\",\n\"receiverAccountType\": \"Checking\",\n\"receiverName\": \"Jerry Penn\",\n\"receiverIdentification\": \"INV123\",\n\"secCode\": \"PPD\",\n\"description\": \"Testing\",\n\"transactionType\": \"Push\",\n\"amount\": 1000,\n\"serviceType\": \"SameDay\"\n}'"
      },
      {
        "id": "nodejs-example",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'POST',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/ach/v1/payments/simulated-inbound-originations',\n  'headers': {\n    'Content-Type': 'application/json',\n    'Authorization': 'Bearer <token>',\n    'Cookie': '<cookie>'\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nvar postData = JSON.stringify({\n  \"originatorRoutingNumber\": \"021000021\",\n  \"originatorName\": \"Tom Smith\",\n  \"originatorIdentification\": \"99999999\",\n  \"receiverRoutingNumber\": \"021214891\",\n  \"receiverAccountNumber\": \"2819503463\",\n  \"receiverAccountType\": \"Checking\",\n  \"receiverName\": \"Jerry Penn\",\n  \"receiverIdentification\": \"INV123\",\n  \"secCode\": \"PPD\",\n  \"description\": \"Testing\",\n  \"transactionType\": \"Push\",\n  \"amount\": 1000,\n  \"serviceType\": \"SameDay\"\n});\n\nreq.write(postData);\n\nreq.end();"
      },
      {
        "id": "python-example",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://sandbox.crbcos.com/ach/v1/payments/simulated-inbound-originations\"\n\npayload = json.dumps({\n  \"originatorRoutingNumber\": \"021000021\",\n  \"originatorName\": \"Tom Smith\",\n  \"originatorIdentification\": \"99999999\",\n  \"receiverRoutingNumber\": \"021214891\",\n  \"receiverAccountNumber\": \"2819503463\",\n  \"receiverAccountType\": \"Checking\",\n  \"receiverName\": \"Jerry Penn\",\n  \"receiverIdentification\": \"INV123\",\n  \"secCode\": \"PPD\",\n  \"description\": \"Testing\",\n  \"transactionType\": \"Push\",\n  \"amount\": 1000,\n  \"serviceType\": \"SameDay\"\n})\nheaders = {\n  'Content-Type': 'application/json',\n  'Authorization': 'Bearer <token>',\n  'Cookie': '<cookie>'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
      },
      {
        "id": "ruby-example",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/ach/v1/payments/simulated-inbound-originations\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Content-Type\"] = \"application/json\"\nrequest[\"Authorization\"] = \"Bearer <token>\"\nrequest[\"Cookie\"] = \"<cookie\"\nrequest.body = JSON.dump({\n  \"originatorRoutingNumber\": \"021000021\",\n  \"originatorName\": \"Tom Smith\",\n  \"originatorIdentification\": \"99999999\",\n  \"receiverRoutingNumber\": \"021214891\",\n  \"receiverAccountNumber\": \"2819503463\",\n  \"receiverAccountType\": \"Checking\",\n  \"receiverName\": \"Jerry Penn\",\n  \"receiverIdentification\": \"INV123\",\n  \"secCode\": \"PPD\",\n  \"description\": \"Testing\",\n  \"transactionType\": \"Push\",\n  \"amount\": 1000,\n  \"serviceType\": \"SameDay\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
      },
      {
        "id": "go-example",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/ach/v1/payments/simulated-inbound-originations\"\n  method := \"POST\"\n\n  payload := strings.NewReader(`{`+\"\n\"+`\n\"originatorRoutingNumber\": \"021000021\",`+\"\n\"+`\n\"originatorName\": \"Tom Smith\",`+\"\n\"+`\n\"originatorIdentification\": \"99999999\",`+\"\n\"+`\n\"receiverRoutingNumber\": \"021214891\",`+\"\n\"+`\n\"receiverAccountNumber\": \"2819503463\",`+\"\n\"+`\n\"receiverAccountType\": \"Checking\",`+\"\n\"+`\n\"receiverName\": \"Jerry Penn\",`+\"\n\"+`\n\"receiverIdentification\": \"INV123\",`+\"\n\"+`\n\"secCode\": \"PPD\",`+\"\n\"+`\n\"description\": \"Testing\",`+\"\n\"+`\n\"transactionType\": \"Push\",`+\"\n\"+`\n\"amount\": 1000,`+\"\n\"+`\n\"serviceType\": \"SameDay\"`+\"\n\"+`\n}`)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Content-Type\", \"application/json\")\n  req.Header.Add(\"Authorization\", \"Bearer <token>\")\n  req.Header.Add(\"Cookie\", \"<cookie\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}"
      }
    ],
    "selectedLanguageId": "curl-example"
  },
  "results": {
    "languages": [
      {
        "id": "200",
        "language": "200",
        "code": "{\n    \"originatorRoutingNumber\": \"021000021\",\n    \"originatorName\": \"Tom Smith\",\n    \"originatorIdentification\": \"99999999\",\n    \"receiverRoutingNumber\": \"021214891\",\n    \"receiverAccountNumber\": \"2819503463\",\n    \"receiverAccountType\": \"Checking\",\n    \"receiverName\": \"Jerry Penn\",\n    \"receiverIdentification\": \"INV123\",\n    \"secCode\": \"PPD\",\n    \"description\": \"Testing\",\n    \"transactionType\": \"Push\",\n    \"amount\": 1000,\n    \"serviceType\": \"SameDay\",\n    \"settlementDays\": 0\n}"
      },
      {
        "id": "400",
        "language": "400",
        "code": "{\\n  \\\"errors\\\": [{\\n    \\\"code\\\": 2001,\\n    \\\"message\\\": \\\"Validation error\\\"\\n  }]\\n}"
      },
      {
        "id": "401",
        "language": "401",
        "code": "{\\n  \\\"errors\\\": [{\\n    \\\"code\\\": 3001,\\n    \\\"message\\\": \\\"Unauthorized\\\"\\n  }]\\n}"
      }
    ],
    "selectedLanguageId": "200"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "formDataParameters": [],
    "bodyDataParameters": [
      {
        "name": "originatorRoutingNumber",
        "kind": "returned",
        "type": "string",
        "description": "ABA routing number of a bank other than Cross River",
        "": "ABA routing number of a bank other than Cross River"
      },
      {
        "name": "originatorName",
        "kind": "returned",
        "type": "string",
        "description": "A name for the fictional person sending the payment. Maximum 35 characters.",
        "": "A name for the fictional person sending the payment. Maximum 35 characters."
      },
      {
        "name": "originatorIdentification",
        "kind": "returned",
        "type": "string",
        "description": "Fictional ID number. Maximum 10 digits. RegEx: ^[A-Za-z0-9^ !_\\-@'`()#\"\"*\\]+{}|~$%&,:.-\\\\]+$",
        "": "Fictional ID number. Maximum 10 digits. RegEx: ^[A-Za-z0-9^ !_\\-@'`()#\"\"*\\]+{}|~$%&,:.-\\\\]+$"
      },
      {
        "name": "originatorData",
        "kind": "optional",
        "type": "string",
        "description": "Some data about the fictional originator",
        "": "Some data about the fictional originator"
      },
      {
        "name": "receiverRoutingNumber",
        "kind": "required",
        "type": "string",
        "description": "9-digit ABA routing number that identifies the receiver financial institution. Because this simulation is inbound to a Cross River account, use one of the Cross River routing numbers:\n- 021214273\n- 021214862\n- 021214891",
        "": "9-digit ABA routing number that identifies the receiver financial institution. Because this simulation is inbound to a Cross River account, use one of the Cross River routing numbers:\n- 021214273\n- 021214862\n- 021214891"
      },
      {
        "name": "receiverAccountNumber",
        "kind": "returned",
        "type": "string",
        "description": "A sandbox account number configured to receive ACH payments",
        "": "A sandbox account number configured to receive ACH payments"
      },
      {
        "name": "receiverAccountType",
        "kind": "returned",
        "type": "string",
        "description": "The type of account set up in sandbox:\n- Checking\n- Savings\n- GeneralLedger\n-  Loan",
        "": "The type of account set up in sandbox:\n- Checking\n- Savings\n- GeneralLedger\n-  Loan"
      },
      {
        "name": "receiverName",
        "kind": "returned",
        "type": "string",
        "description": "Name on the sandbox account. 35 character maximum.",
        "": "Name on the sandbox account. 35 character maximum."
      },
      {
        "name": "receiverIdentification",
        "kind": "optional",
        "type": "string",
        "description": "Identification number of the receiver as it appears in the customer record. Maximum 15 digits. RegEx: ^[A-Za-z0-9^ !_\\-@'`()#\"\"*\\]+{}|~$%&,:.-\\\\]+$",
        "": "Identification number of the receiver as it appears in the customer record. Maximum 15 digits. RegEx: ^[A-Za-z0-9^ !_\\-@'`()#\"\"*\\]+{}|~$%&,:.-\\\\]+$"
      },
      {
        "name": "secCode",
        "kind": "returned",
        "type": "string",
        "description": "Standard Entry Class (SEC) code required by Nacha for every ACH transaction. See the ACH Request and response code page.\nFor the simulation we recommend using PPD.",
        "": "Standard Entry Class (SEC) code required by Nacha for every ACH transaction. See the ACH Request and response code page.\nFor the simulation we recommend using PPD."
      },
      {
        "name": "description",
        "kind": "returned",
        "type": "string",
        "description": "Description of the payment. Maximum 10 characters.\nFor the simulation, we recommend \"Testing\" as the description.",
        "": "Description of the payment. Maximum 10 characters.\nFor the simulation, we recommend \"Testing\" as the description."
      },
      {
        "name": "transactionType",
        "kind": "returned",
        "type": "string",
        "description": "Sending or requesting funds:\n- Push (originator is sending funds)\n- Pull (originator is receiving funds)\nFor the simulation, use Push.",
        "": "Sending or requesting funds:\n- Push (originator is sending funds)\n- Pull (originator is receiving funds)\nFor the simulation, use Push."
      },
      {
        "name": "amount",
        "kind": "returned",
        "type": "integer",
        "description": "Dollar amount of the transaction in positive integral cents. For example, $1.00 appears as 100.",
        "": "Dollar amount of the transaction in positive integral cents. For example, $1.00 appears as 100."
      },
      {
        "name": "serviceType",
        "kind": "returned",
        "type": "string",
        "description": "When the payment completes:\n- Standard (Payment effective the following business day. International payments must use this service type.)\n- SameDay (Payment effective same day, subject to certain constraints. See ACH overview.)"
      },
      {
        "name": "extendedDetails",
        "kind": "optional",
        "type": "object",
        "description": "ACH-specific details.\nIf the transactionType is pull and secCode is WEB you must include a paymentType value in this object.\nIf the secCode is POS you must include a cardTransactionType value.\nLearn more on the Nacha site.",
        "children": [
          {
            "name": "authCode",
            "kind": "optional",
            "type": "string",
            "description": "Authorization code related to card-based transactions"
          },
          {
            "name": "cardAccountNumber",
            "kind": "optional",
            "type": "string",
            "description": "Card account number used in the transaction"
          },
          {
            "name": "cardExpDate",
            "kind": "optional",
            "type": "string",
            "description": "Expiration date of the card used"
          },
          {
            "name": "cardTransactionType",
            "kind": "optional",
            "type": "string",
            "description": "Card transaction types are represented by specific codes that explain what kind of transaction took place at the point of sale, for example, Purchase or Refund"
          },
          {
            "name": "checkSerialNumber",
            "kind": "optional",
            "type": "string",
            "description": "Serial number for check-based transactions"
          },
          {
            "name": "docReferenceNumber",
            "kind": "optional",
            "type": "string",
            "description": "Document reference number associated with the transaction"
          },
          {
            "name": "itemType",
            "kind": "optional",
            "type": "string",
            "description": "Type of financial item, for example, Check or  Card"
          },
          {
            "name": "networkIdentification",
            "kind": "optional",
            "type": "string",
            "description": "Network through which the transaction was processed"
          },
          {
            "name": "paymentType",
            "kind": "optional",
            "type": "string",
            "description": "Payment types are a single character, and are based on the authorization of the account holder to debit their account:\n- S for single\n- R for recurring"
          },
          {
            "name": "processControl",
            "kind": "optional",
            "type": "string",
            "description": "Internal Cross River processing control code"
          },
          {
            "name": "reference1",
            "kind": "optional",
            "type": "string",
            "description": "Reference field for reconciliation"
          },
          {
            "name": "reference2",
            "kind": "optional",
            "type": "string",
            "description": "Reference field for reconciliation"
          },
          {
            "name": "researchNumber",
            "kind": "optional",
            "type": "string",
            "description": "Research ID for dispute or trace purposes"
          },
          {
            "name": "terminalIdentification",
            "kind": "optional",
            "type": "string",
            "description": "ID of the terminal where the transaction occurred"
          },
          {
            "name": "terminalLocation",
            "kind": "optional",
            "type": "string",
            "description": "Location descriptor of the terminal"
          },
          {
            "name": "terminalCity",
            "kind": "optional",
            "type": "string",
            "description": "City where the terminal is located"
          },
          {
            "name": "terminalState",
            "kind": "optional",
            "type": "string",
            "description": "State where the terminal is located"
          },
          {
            "name": "transactionDate",
            "kind": "optional",
            "type": "string",
            "description": "Date the transaction happened"
          },
          {
            "name": "transactionDesc",
            "kind": "optional",
            "type": "string",
            "description": "Additional description of the transaction"
          },
          {
            "name": "transactionSerial",
            "kind": "optional",
            "type": "string",
            "description": "Serial number of the transaction"
          },
          {
            "name": "transactionTime",
            "kind": "optional",
            "type": "string",
            "description": "Transaction timestamp"
          }
        ],
        "": "optional",
        "schema": [
          {
            "name": "authCode",
            "kind": "optional",
            "type": "string",
            "description": "Authorization code related to card-based transactions"
          },
          {
            "name": "cardAccountNumber",
            "kind": "optional",
            "type": "string",
            "description": "Card account number used in the transaction"
          },
          {
            "name": "cardExpDate",
            "kind": "optional",
            "type": "string",
            "description": "Expiration date of the card used"
          },
          {
            "name": "cardTransactionType",
            "kind": "optional",
            "type": "string",
            "description": "Card transaction types are represented by specific codes that explain what kind of transaction took place at the point of sale, for example, Purchase or Refund"
          },
          {
            "name": "checkSerialNumber",
            "kind": "optional",
            "type": "string",
            "description": "Serial number for check-based transactions"
          },
          {
            "name": "docReferenceNumber",
            "kind": "optional",
            "type": "string",
            "description": "Document reference number associated with the transaction"
          },
          {
            "name": "itemType",
            "kind": "optional",
            "type": "string",
            "description": "Type of financial item, for example, Check or  Card"
          },
          {
            "name": "networkIdentification",
            "kind": "optional",
            "type": "string",
            "description": "Network through which the transaction was processed"
          },
          {
            "name": "paymentType",
            "kind": "optional",
            "type": "string",
            "description": "Payment types are a single character, and are based on the authorization of the account holder to debit their account:\n- S for single\n- R for recurring"
          },
          {
            "name": "processControl",
            "kind": "optional",
            "type": "string",
            "description": "Internal Cross River processing control code"
          },
          {
            "name": "reference1",
            "kind": "optional",
            "type": "string",
            "description": "Reference field for reconciliation"
          },
          {
            "name": "reference2",
            "kind": "optional",
            "type": "string",
            "description": "Reference field for reconciliation"
          },
          {
            "name": "researchNumber",
            "kind": "optional",
            "type": "string",
            "description": "Research ID for dispute or trace purposes"
          },
          {
            "name": "terminalIdentification",
            "kind": "optional",
            "type": "string",
            "description": "ID of the terminal where the transaction occurred"
          },
          {
            "name": "terminalLocation",
            "kind": "optional",
            "type": "string",
            "description": "Location descriptor of the terminal"
          },
          {
            "name": "terminalCity",
            "kind": "optional",
            "type": "string",
            "description": "City where the terminal is located"
          },
          {
            "name": "terminalState",
            "kind": "optional",
            "type": "string",
            "description": "State where the terminal is located"
          },
          {
            "name": "transactionDate",
            "kind": "optional",
            "type": "string",
            "description": "Date the transaction happened"
          },
          {
            "name": "transactionDesc",
            "kind": "optional",
            "type": "string",
            "description": "Additional description of the transaction"
          },
          {
            "name": "transactionSerial",
            "kind": "optional",
            "type": "string",
            "description": "Serial number of the transaction"
          },
          {
            "name": "transactionTime",
            "kind": "optional",
            "type": "string",
            "description": "Transaction timestamp"
          }
        ]
      },
      {
        "name": "iatDetails",
        "kind": "optional",
        "type": "object",
        "description": "International ACH details. Required if the secCode is IAT.\nDo not enter values for these attributes for any other secCode.",
        "children": [
          {
            "name": "originator",
            "kind": "optional",
            "type": "object",
            "description": "Originator of the payment",
            "children": [
              {
                "name": "address",
                "kind": "required",
                "type": "string",
                "description": "Originator street or post office box address. 35 characters maximum."
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Originator city full name. 33 characters maximum.\n"
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "Originator state or province name. 33 characters maximum."
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Originator postal or ZIP code. Regular expression. 32 characters maximum."
              },
              {
                "name": "countryCode",
                "kind": "required",
                "type": "string",
                "description": "2-letter ISO country code"
              }
            ]
          },
          {
            "name": "receiver",
            "kind": "optional",
            "type": "object",
            "description": "Receiver bank details",
            "children": [
              {
                "name": "address",
                "kind": "required",
                "type": "string",
                "description": "Receiver street or post office box address. 35 characters maximum."
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Receiver city full name. 33 characters maximum."
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "Receiver state or province name. 33 characters maximum.\n"
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Receiver postal or ZIP code. Regular expression. 32 characters maximum."
              },
              {
                "name": "countryCode",
                "kind": "required",
                "type": "string",
                "description": "2-letter ISO country code"
              }
            ]
          },
          {
            "name": "originatingBank",
            "kind": "optional",
            "type": "object",
            "description": "Details of financial institution originating the IAT",
            "children": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Name of originating financial institution. 35 characters maximum."
              },
              {
                "name": "identification",
                "kind": "required",
                "type": "string",
                "description": "Originating bank DFI Identification number, which is the first 8 digits of that financial institution's routing number"
              },
              {
                "name": "idQualifier",
                "kind": "required",
                "type": "string",
                "description": "Originating DFI Identification Number Qualifier:\n- 01 (National Clearing System Number. For example, US Routing transit number)\n- 02 BIC Code\n- 03 IBAN"
              },
              {
                "name": "countryCode",
                "kind": "required",
                "type": "string",
                "description": "Originating bank 2-letter ISO country code"
              }
            ]
          },
          {
            "name": "receivingBank",
            "kind": "optional",
            "type": "object",
            "description": "Details of financial institution receiving the IAT",
            "children": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Name of receiving financial institution. 35 characters maximum."
              },
              {
                "name": "identification",
                "kind": "required",
                "type": "string",
                "description": "Receiving bank DFI Identification number, which is the first 8 digits of that financial institution's routing number"
              },
              {
                "name": "idQualifier",
                "kind": "required",
                "type": "string",
                "description": "Receiving DFI Identification Number Qualifier:\n- 01 (National Clearing System Number. For example, US Routing transit number)\n- 02 BIC Code\n- 03 IBAN"
              },
              {
                "name": "countryCode",
                "kind": "required",
                "type": "string",
                "description": "2-letter ISO country code"
              }
            ]
          },
          {
            "name": "remittanceInfo1",
            "kind": "optional",
            "type": "string",
            "description": "Additional IAT information.\nA second field is available as remittanceInfo2."
          },
          {
            "name": "correspondentBank1",
            "kind": "optional",
            "type": "object",
            "description": "Details of a correspondent (intermediary) bank, if there is one.\nYou can have up to 5 correspondent banks: (correspondentBank1, correspondentBank2, correspondentBank3, correspondentBank4, correspondentBank5, each with the same child attributes.",
            "children": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Name of financial institution. 35 characters maximum."
              },
              {
                "name": "identification",
                "kind": "required",
                "type": "string",
                "description": "DFI Identification number, which is the first 8 digits of that financial institution's routing number"
              },
              {
                "name": "idQualifier",
                "kind": "required",
                "type": "string",
                "description": "DFI Identification Number Qualifier:\n- 01 (National Clearing System Number. For example, US Routing transit number)\n- 02 BIC Code\n- 03 IBAN"
              },
              {
                "name": "countryCode",
                "kind": "required",
                "type": "string",
                "description": "2-letter ISO country code"
              }
            ]
          },
          {
            "name": "transactionTypeCode",
            "kind": "required",
            "type": "string",
            "description": "Part of the addenda record. An additional way to explain the purpose of the IAT. See the ACH request and response codes page for IAT transaction types."
          },
          {
            "name": "originatingCurrency",
            "kind": "optional",
            "type": "string",
            "description": "An ISO three-character code to identify the originating currency"
          },
          {
            "name": "destinationCurrency",
            "kind": "optional",
            "type": "string",
            "description": "An ISO three-character code to identify the receiving currency"
          }
        ],
        "": "International ACH details. Required if the secCode is IAT.\nDo not enter values for these attributes for any other secCode.",
        "schema": [
          {
            "name": "originator",
            "kind": "optional",
            "type": "object",
            "description": "Originator of the payment",
            "children": [
              {
                "name": "address",
                "kind": "required",
                "type": "string",
                "description": "Originator street or post office box address. 35 characters maximum."
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Originator city full name. 33 characters maximum.\n"
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "Originator state or province name. 33 characters maximum."
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Originator postal or ZIP code. Regular expression. 32 characters maximum."
              },
              {
                "name": "countryCode",
                "kind": "required",
                "type": "string",
                "description": "2-letter ISO country code"
              }
            ]
          },
          {
            "name": "receiver",
            "kind": "optional",
            "type": "object",
            "description": "Receiver bank details",
            "children": [
              {
                "name": "address",
                "kind": "required",
                "type": "string",
                "description": "Receiver street or post office box address. 35 characters maximum."
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Receiver city full name. 33 characters maximum."
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "Receiver state or province name. 33 characters maximum.\n"
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Receiver postal or ZIP code. Regular expression. 32 characters maximum."
              },
              {
                "name": "countryCode",
                "kind": "required",
                "type": "string",
                "description": "2-letter ISO country code"
              }
            ]
          },
          {
            "name": "originatingBank",
            "kind": "optional",
            "type": "object",
            "description": "Details of financial institution originating the IAT",
            "children": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Name of originating financial institution. 35 characters maximum."
              },
              {
                "name": "identification",
                "kind": "required",
                "type": "string",
                "description": "Originating bank DFI Identification number, which is the first 8 digits of that financial institution's routing number"
              },
              {
                "name": "idQualifier",
                "kind": "required",
                "type": "string",
                "description": "Originating DFI Identification Number Qualifier:\n- 01 (National Clearing System Number. For example, US Routing transit number)\n- 02 BIC Code\n- 03 IBAN"
              },
              {
                "name": "countryCode",
                "kind": "required",
                "type": "string",
                "description": "Originating bank 2-letter ISO country code"
              }
            ]
          },
          {
            "name": "receivingBank",
            "kind": "optional",
            "type": "object",
            "description": "Details of financial institution receiving the IAT",
            "children": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Name of receiving financial institution. 35 characters maximum."
              },
              {
                "name": "identification",
                "kind": "required",
                "type": "string",
                "description": "Receiving bank DFI Identification number, which is the first 8 digits of that financial institution's routing number"
              },
              {
                "name": "idQualifier",
                "kind": "required",
                "type": "string",
                "description": "Receiving DFI Identification Number Qualifier:\n- 01 (National Clearing System Number. For example, US Routing transit number)\n- 02 BIC Code\n- 03 IBAN"
              },
              {
                "name": "countryCode",
                "kind": "required",
                "type": "string",
                "description": "2-letter ISO country code"
              }
            ]
          },
          {
            "name": "remittanceInfo1",
            "kind": "optional",
            "type": "string",
            "description": "Additional IAT information.\nA second field is available as remittanceInfo2."
          },
          {
            "name": "correspondentBank1",
            "kind": "optional",
            "type": "object",
            "description": "Details of a correspondent (intermediary) bank, if there is one.\nYou can have up to 5 correspondent banks: (correspondentBank1, correspondentBank2, correspondentBank3, correspondentBank4, correspondentBank5, each with the same child attributes.",
            "children": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Name of financial institution. 35 characters maximum."
              },
              {
                "name": "identification",
                "kind": "required",
                "type": "string",
                "description": "DFI Identification number, which is the first 8 digits of that financial institution's routing number"
              },
              {
                "name": "idQualifier",
                "kind": "required",
                "type": "string",
                "description": "DFI Identification Number Qualifier:\n- 01 (National Clearing System Number. For example, US Routing transit number)\n- 02 BIC Code\n- 03 IBAN"
              },
              {
                "name": "countryCode",
                "kind": "required",
                "type": "string",
                "description": "2-letter ISO country code"
              }
            ]
          },
          {
            "name": "transactionTypeCode",
            "kind": "required",
            "type": "string",
            "description": "Part of the addenda record. An additional way to explain the purpose of the IAT. See the ACH request and response codes page for IAT transaction types."
          },
          {
            "name": "originatingCurrency",
            "kind": "optional",
            "type": "string",
            "description": "An ISO three-character code to identify the originating currency"
          },
          {
            "name": "destinationCurrency",
            "kind": "optional",
            "type": "string",
            "description": "An ISO three-character code to identify the receiving currency"
          }
        ]
      },
      {
        "name": "addenda",
        "kind": "optional",
        "type": "string",
        "description": "Supplemental data to identify an account holder or provide information about the payment. This may include details such as invoice numbers.",
        "": "optional"
      },
      {
        "name": "settlementDays",
        "kind": "optional",
        "type": "integer",
        "description": "Settlement days",
        "": "optional"
      }
    ]
  },
  "response": [
    {
      "name": "originatorRoutingNumber",
      "kind": "returned",
      "type": "string",
      "description": "ABA routing number of a bank other than Cross River"
    },
    {
      "name": "originatorName",
      "kind": "returned",
      "type": "string",
      "description": "A name for the fictional person sending the payment"
    },
    {
      "name": "originatorIdentification",
      "kind": "returned",
      "type": "string",
      "description": "Fictional ID number"
    },
    {
      "name": "originatorData",
      "kind": "returned",
      "type": "string",
      "description": "Some data about the fictional originator"
    },
    {
      "name": "receiverRoutingNumber",
      "kind": "optional",
      "type": "string",
      "description": "9-digit ABA routing number that identifies the receiver financial institution. Because this simulation is inbound to a Cross River account, use one of the Cross River routing numbers:\n- 021214273\n- 021214862\n- 021214891",
      "children": []
    },
    {
      "name": "receiverAccountNumber",
      "kind": "returned",
      "type": "string",
      "description": "A sandbox account number configured to receive ACH payments"
    },
    {
      "name": "receiverAccountType",
      "kind": "returned",
      "type": "string",
      "description": "The type of account set up in sandbox:\n- Checking\n- Savings\n- GeneralLedger\n-  Loan"
    },
    {
      "name": "receiverName",
      "kind": "returned",
      "type": "string",
      "description": "Name on the sandbox account"
    },
    {
      "name": "receiverIdentification",
      "kind": "returned",
      "type": "string",
      "description": "Identification number of the receiver as it appears in the customer record"
    },
    {
      "name": "secCode",
      "kind": "returned",
      "type": "string",
      "description": "Standard Entry Class (SEC) code required by Nacha for every ACH transaction. See the ACH Request and response code page."
    },
    {
      "name": "description",
      "kind": "returned",
      "type": "string",
      "description": "Description of the payment"
    },
    {
      "name": "transactionType",
      "kind": "returned",
      "type": "string",
      "description": "Sending or requesting funds:\n- Push (originator is sending funds)\n- Pull (originator is receiving funds)"
    },
    {
      "name": "amount",
      "kind": "returned",
      "type": "integer",
      "description": "Dollar amount of the transaction in positive integral cents. For example, $1.00 appears as 100."
    },
    {
      "name": "serviceType",
      "kind": "returned",
      "type": "string",
      "description": "When the payment completes:\n- Standard (Payment effective the following business day. International payments must use this service type.)\n- SameDay (Payment effective same day, subject to certain constraints. See ACH overview.)"
    },
    {
      "name": "extendedDetails",
      "kind": "returned",
      "type": "object",
      "description": "ACH-specific fields. Learn more on the Nacha site.",
      "children": [
        {
          "name": "authCode",
          "kind": "optional",
          "type": "string",
          "description": "Authorization code related to card-based transactions"
        },
        {
          "name": "cardAccountNumber",
          "kind": "optional",
          "type": "string",
          "description": "Card account number used in the transaction"
        },
        {
          "name": "cardExpDate",
          "kind": "optional",
          "type": "string",
          "description": "Expiration date of the card used"
        },
        {
          "name": "cardTransactionType",
          "kind": "optional",
          "type": "string",
          "description": "Card transaction types are represented by specific codes that explain what kind of transaction took place at the point of sale, for example, Purchase or Refund"
        },
        {
          "name": "checkSerialNumber",
          "kind": "optional",
          "type": "string",
          "description": "Serial number for check-based transactions"
        },
        {
          "name": "docReferenceNumber",
          "kind": "optional",
          "type": "string",
          "description": "Document reference number associated with the transaction"
        },
        {
          "name": "itemType",
          "kind": "optional",
          "type": "string",
          "description": "Type of financial item, for example, Check or  Card"
        },
        {
          "name": "networkIdentification",
          "kind": "optional",
          "type": "string",
          "description": "Network through which the transaction was processed"
        },
        {
          "name": "paymentType",
          "kind": "optional",
          "type": "string",
          "description": "Payment types are a single character, and are based on the authorization of the account holder to debit their account:\n- S for single\n- R for recurring"
        },
        {
          "name": "processControl",
          "kind": "optional",
          "type": "string",
          "description": "Internal Cross River processing control code"
        },
        {
          "name": "reference1",
          "kind": "optional",
          "type": "string",
          "description": "Reference field for reconciliation"
        },
        {
          "name": "reference2",
          "kind": "optional",
          "type": "string",
          "description": "Reference field for reconciliation"
        },
        {
          "name": "researchNumber",
          "kind": "optional",
          "type": "string",
          "description": "Research ID for dispute or trace purposes"
        },
        {
          "name": "terminalIdentification",
          "kind": "optional",
          "type": "string",
          "description": "ID of the terminal where the transaction occurred"
        },
        {
          "name": "terminalLocation",
          "kind": "optional",
          "type": "string",
          "description": "Location descriptor of the terminal"
        },
        {
          "name": "terminalCity",
          "kind": "optional",
          "type": "string",
          "description": "City where the terminal is located"
        },
        {
          "name": "terminalState",
          "kind": "optional",
          "type": "string",
          "description": "State where the terminal is located"
        },
        {
          "name": "transactionDate",
          "kind": "optional",
          "type": "string",
          "description": "Date the transaction happened"
        },
        {
          "name": "transactionDesc",
          "kind": "optional",
          "type": "string",
          "description": "Additional description of the transaction"
        },
        {
          "name": "transactionSerial",
          "kind": "optional",
          "type": "string",
          "description": "Serial number of the transaction"
        },
        {
          "name": "transactionTime",
          "kind": "optional",
          "type": "string",
          "description": "Transaction timestamp"
        }
      ]
    },
    {
      "name": "iatDetails",
      "kind": "returned",
      "type": "object",
      "description": "international ACH details.\nThis object is only returned for the IAT secCode.",
      "children": [
        {
          "name": "originator",
          "kind": "optional",
          "type": "object",
          "description": "Originator of the payment",
          "children": [
            {
              "name": "address",
              "kind": "required",
              "type": "string",
              "description": "Originator street or post office box address"
            },
            {
              "name": "city",
              "kind": "optional",
              "type": "string",
              "description": "Originator city full name\n"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "Originator state or province name\n"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Originator postal or ZIP code"
            },
            {
              "name": "countryCode",
              "kind": "optional",
              "type": "string",
              "description": "2-letter ISO country code"
            }
          ]
        },
        {
          "name": "receiver",
          "kind": "optional",
          "type": "object",
          "description": "Payment receiver details",
          "children": [
            {
              "name": "address",
              "kind": "required",
              "type": "string",
              "description": "Receiver street or post office box address"
            },
            {
              "name": "city",
              "kind": "optional",
              "type": "string",
              "description": "Receiver city full name"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "Receiver state or province name"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Receiver postal or ZIP code"
            },
            {
              "name": "countryCode",
              "kind": "optional",
              "type": "string",
              "description": "2-letter ISO country code"
            }
          ]
        },
        {
          "name": "originatingBank",
          "kind": "optional",
          "type": "object",
          "description": "Details of financial institution originating the IAT",
          "children": [
            {
              "name": "name",
              "kind": "required",
              "type": "string",
              "description": "Name of originating financial institution"
            },
            {
              "name": "identification",
              "kind": "optional",
              "type": "string",
              "description": "Originating bank DFI Identification number, which is the first 8 digits of that financial institution's routing number"
            },
            {
              "name": "idQualifier",
              "kind": "optional",
              "type": "string",
              "description": "Originating DFI Identification Number Qualifier:\n- 01 (National Clearing System Number. For example, US Routing transit number)\n- 02 BIC Code\n- 03 IBAN"
            },
            {
              "name": "countryCode",
              "kind": "optional",
              "type": "string",
              "description": "2-letter ISO country code"
            }
          ]
        },
        {
          "name": "receivingBank",
          "kind": "optional",
          "type": "object",
          "description": "Details of financial institution receiving the IAT",
          "children": [
            {
              "name": "name",
              "kind": "required",
              "type": "string",
              "description": "Name of receiving financial institution"
            },
            {
              "name": "identification",
              "kind": "optional",
              "type": "string",
              "description": "Receiving bank DFI Identification number, which is the first 8 digits of that financial institution's routing number"
            },
            {
              "name": "idQualifier",
              "kind": "optional",
              "type": "string",
              "description": "Receiving DFI Identification Number Qualifier:\n- 01 (National Clearing System Number. For example, US Routing transit number)\n- 02 BIC Code\n- 03 IBAN"
            },
            {
              "name": "countryCode",
              "kind": "optional",
              "type": "string",
              "description": "2-letter ISO country code"
            }
          ]
        },
        {
          "name": "remittanceInfo1",
          "kind": "required",
          "type": "string",
          "description": "Additional IAT information.\nA second field is available as remittanceInfo2."
        },
        {
          "name": "correspondentBank1",
          "kind": "optional",
          "type": "object",
          "description": "Details of a correspondent (intermediary) bank, if there is one.\nYou can have up to 5 correspondent banks: (correspondentBank1, correspondentBank2, correspondentBank3, correspondentBank4, correspondentBank5, each with the same child attributes.",
          "children": [
            {
              "name": "name",
              "kind": "required",
              "type": "string",
              "description": "Name of financial institution"
            },
            {
              "name": "identification",
              "kind": "optional",
              "type": "string",
              "description": "DFI Identification number, which is the first 8 digits of that financial institution's routing number"
            },
            {
              "name": "idQualifier",
              "kind": "optional",
              "type": "string",
              "description": "DFI Identification Number Qualifier:\n- 01 (National Clearing System Number. For example, US Routing transit number)\n- 02 BIC Code\n- 03 IBAN"
            },
            {
              "name": "countryCode",
              "kind": "optional",
              "type": "string",
              "description": "2-letter ISO country code"
            }
          ]
        },
        {
          "name": "transactionTypeCode",
          "kind": "optional",
          "type": "string",
          "description": "Part of the addenda record. An additional way to explain the purpose of the IAT. See the ACH request and response codes page for IAT transaction types."
        },
        {
          "name": "originatingCurrency",
          "kind": "required",
          "type": "string",
          "description": "An ISO three-character code to identify the originating currency"
        },
        {
          "name": "destinationCurrency",
          "kind": "optional",
          "type": "string",
          "description": "An ISO three-character code to identify the receiving currency"
        }
      ]
    },
    {
      "name": "addenda",
      "kind": "returned",
      "type": "string",
      "description": "Supplemental data to identify an account holder or provide information about the payment. This may include details such as invoice numbers."
    },
    {
      "name": "settlementDays",
      "kind": "returned",
      "type": "integer",
      "description": "Settlement days"
    }
  ],
  "description": "",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-v1paymentssimulated-inbound-originations",
  "legacyHash": "AfLae6pa6qpWh1RUhO54v"
}
```
:::

